rpmdb.h File Reference
I/O » Database API.
`#include <rpm/rpmtypes.h>`
`#include <rpm/rpmsw.h>`
`#include <sys/stat.h>`
Include dependency graph for rpmdb.h:

Go to the source code of this file.

## Typedefs

typedef enum rpmMireMode_e | rpmMireMode
| Tag value pattern match mode. More...
typedef enum rpmdbOpX_e | rpmdbOpX
typedef enum rpmdbCtrlOp_e | rpmdbCtrlOp

## Enumerations

enum | rpmMireMode_e { RPMMIRE_DEFAULT = 0, RPMMIRE_STRCMP = 1, RPMMIRE_REGEX = 2, RPMMIRE_GLOB = 3 }
| Tag value pattern match mode. More...
enum | rpmdbOpX_e { RPMDB_OP_DBGET = 1, RPMDB_OP_DBPUT = 2, RPMDB_OP_DBDEL = 3, RPMDB_OP_MAX = 4 }
enum | rpmdbCtrlOp_e { RPMDB_CTRL_LOCK_RO = 1, RPMDB_CTRL_UNLOCK_RO = 2, RPMDB_CTRL_LOCK_RW = 3, RPMDB_CTRL_UNLOCK_RW = 4, RPMDB_CTRL_INDEXSYNC = 5 }

## Functions

rpmop | rpmdbOp (rpmdb db, rpmdbOpX opx)
int | rpmdbOpenAll (rpmdb db)
int | rpmdbCountPackages (rpmdb db, const char *name)
unsigned int | rpmdbGetIteratorOffset (rpmdbMatchIterator mi)
int | rpmdbGetIteratorCount (rpmdbMatchIterator mi)
unsigned int | rpmdbGetIteratorFileNum (rpmdbMatchIterator mi)
int | rpmdbAppendIterator (rpmdbMatchIterator mi, const unsigned int *hdrNums, unsigned int nHdrNums)
int | rpmdbSetIteratorRE (rpmdbMatchIterator mi, rpmTagVal tag, rpmMireMode mode, const char *pattern)
int | rpmdbSetIteratorRewrite (rpmdbMatchIterator mi, int rewrite)
int | rpmdbSetIteratorModified (rpmdbMatchIterator mi, int modified)
int | rpmdbSetHdrChk (rpmdbMatchIterator mi, rpmts ts, rpmRC(*hdrchk)(rpmts ts, const void *uh, size_t uc, char **msg))
rpmdbMatchIterator | rpmdbInitIterator (rpmdb db, rpmDbiTagVal rpmtag, const void *keyp, size_t keylen)
Header | rpmdbNextIterator (rpmdbMatchIterator mi)
rpmdbMatchIterator | rpmdbFreeIterator (rpmdbMatchIterator mi)
rpmdbIndexIterator | rpmdbIndexKeyIteratorInit (rpmdb db, rpmDbiTag rpmtag)
rpmdbIndexIterator | rpmdbIndexIteratorInit (rpmdb db, rpmDbiTag rpmtag)
int | rpmdbIndexIteratorNext (rpmdbIndexIterator ii, const void **key, size_t *keylen)
int | rpmdbIndexIteratorNextTd (rpmdbIndexIterator ii, rpmtd keytd)
unsigned int | rpmdbIndexIteratorNumPkgs (rpmdbIndexIterator ii)
unsigned int | rpmdbIndexIteratorPkgOffset (rpmdbIndexIterator ii, unsigned int nr)
unsigned int | rpmdbIndexIteratorTagNum (rpmdbIndexIterator ii, unsigned int nr)
rpmdbIndexIterator | rpmdbIndexIteratorFree (rpmdbIndexIterator ii)
int | rpmdbCtrl (rpmdb db, rpmdbCtrlOp ctrl)
char * | rpmdbCookie (rpmdb db)
int | rpmdbStat (const char *prefix, struct stat *statbuf)
int | rpmdbFStat (rpmdb db, struct stat *statbuf)

## Detailed Description

RPM database API.

Definition in file rpmdb.h.

## Typedef Documentation

## rpmdbCtrlOp

typedef enum rpmdbCtrlOp_e rpmdbCtrlOp

## rpmdbOpX

typedef enum rpmdbOpX_e rpmdbOpX

## rpmMireMode

typedef enum rpmMireMode_e rpmMireMode

Tag value pattern match mode.

## Enumeration Type Documentation

## rpmdbCtrlOp_e

enum rpmdbCtrlOp_e

Enumerator
RPMDB_CTRL_LOCK_RO |
RPMDB_CTRL_UNLOCK_RO |
RPMDB_CTRL_LOCK_RW |
RPMDB_CTRL_UNLOCK_RW |
RPMDB_CTRL_INDEXSYNC |

Definition at line 34 of file rpmdb.h.

## rpmdbOpX_e

enum rpmdbOpX_e

Enumerator
RPMDB_OP_DBGET |
RPMDB_OP_DBPUT |
RPMDB_OP_DBDEL |
RPMDB_OP_MAX |

Definition at line 27 of file rpmdb.h.

## rpmMireMode_e

enum rpmMireMode_e

Tag value pattern match mode.

Enumerator
RPMMIRE_DEFAULT | regex with ., .* and ^...$ added
RPMMIRE_STRCMP | strings using strcmp(3)
RPMMIRE_REGEX | regex(7) patterns through regcomp(3)
RPMMIRE_GLOB | glob(7) patterns through fnmatch(3)

Definition at line 20 of file rpmdb.h.